Webhooks
Create a webhook endpoint
Registers an HTTPS endpoint. The signing secret is returned once. Private, loopback, and otherwise unsafe destinations are rejected. Requires the webhooks:write scope when called with a scoped key.
POST
/v1/webhooksRegisters an HTTPS endpoint. The signing secret is returned once. Private, loopback, and otherwise unsafe destinations are rejected. Requires the webhooks:write scope when called with a scoped key.
AuthorizationBearer <token>
Pass Authorization: Bearer mapleads_xxx.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
url*string
Format
uriLength
length <= 2048eventTypes*array<>
Items
1 <= itemsResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com", "eventTypes": [ "search.completed" ] }'{ "id": "string", "url": "http://example.com", "eventTypes": [ "string" ], "enabled": true, "createdAt": "2019-08-24T14:15:22Z", "secret": "string"}